Bug 1356964 - Renaming a user removes all of his principal aliases
Summary: Renaming a user removes all of his principal aliases
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 11:53 UTC by Petr Vobornik
Modified: 2016-11-04 05:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:58:31 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Petr Vobornik 2016-07-15 11:53:20 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6028

When renaming a user who already has some principal aliases associated with the entry, the MODRDN plugin is triggered and it sets the value of krbPrincipalName to the alias composed from the new UID. However, this operation destroys all other values of the attribute:

{{{
ipa user-add-principal tuser talias\\@tupn.test
---------------------------------
Added new aliases to user "tuser"
---------------------------------
  User login: tuser
  Principal alias: talias\@tupn.test@IPA.TEST, tuser@IPA.TEST

[root@master1 ~]# ipa user-mod --rename tuser2 tuser
---------------------
Modified user "tuser"
---------------------
  User login: tuser2
  First name: test
  Last name: user
  Home directory: /home/tuser
  Login shell: /bin/sh
  Principal name: tuser2@IPA.TEST
  Principal alias: tuser2@IPA.TEST
  Email address: tuser@ipa.test
  UID: 602400001
  GID: 602400001
  Account disabled: False
  Password: True
  Member of groups: ipausers
  Kerberos keys available: True

}}}

Expected outcome:

The user gains new alias contaning new uid

Actual results:

Only this alias is retained and all other are removed

Comment 2 Petr Vobornik 2016-07-15 11:54:48 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/2f02ffed03beac43b26e8521eff87b9489a746f9

Comment 4 Xiyang Dong 2016-09-18 12:51:15 UTC
Verified on ipa-server-4.4.0-9.el7:
[root@auto-hv-01-guest02 ~]# ipa user-add-principal tuser talias\\@tupn.test
---------------------------------
Added new aliases to user "tuser"
---------------------------------
  User login: tuser
  Principal alias: tuser@TESTRELM.TEST, talias\@tupn.test@TESTRELM.TEST
[root@auto-hv-01-guest02 ~]# ipa user-mod --rename tuser2 tuser
---------------------
Modified user "tuser"
---------------------
  User login: tuser2
  First name: tuser
  Last name: tuser
  Home directory: /home/tuser
  Login shell: /bin/sh
  Principal name: tuser2@TESTRELM.TEST
  Principal alias: tuser@TESTRELM.TEST, talias\@tupn.test@TESTRELM.TEST, tuser2@TESTRELM.TEST
  Email address: tuser@testrelm.test
  UID: 1224200001
  GID: 1224200001
  Account disabled: False
  Password: True
  Member of groups: ipausers
  Kerberos keys available: True
[root@auto-hv-01-guest02 ~]# kinit tuser2
Password for tuser2@TESTRELM.TEST: 
[root@auto-hv-01-guest02 ~]# klist
Ticket cache: KEYRING:persistent:0:krb_ccache_3w17Btg
Default principal: tuser2@TESTRELM.TEST

Valid starting       Expires              Service principal
09/18/2016 08:44:45  09/19/2016 08:44:42  krbtgt/TESTRELM.TEST@TESTRELM.TEST
[root@auto-hv-01-guest02 ~]# kdestroy
[root@auto-hv-01-guest02 ~]# kinit tuser
Password for tuser@TESTRELM.TEST: 
[root@auto-hv-01-guest02 ~]# klist
Ticket cache: KEYRING:persistent:0:krb_ccache_3w17Btg
Default principal: tuser2@TESTRELM.TEST

Valid starting       Expires              Service principal
09/18/2016 08:44:36  09/19/2016 08:44:33  krbtgt/TESTRELM.TEST@TESTRELM.TEST
[root@auto-hv-01-guest02 ~]# kdestroy
[root@auto-hv-01-guest02 ~]# kinit -E talias@tupn.test
Password for talias\@tupn.test@TESTRELM.TEST: 
[root@auto-hv-01-guest02 ~]# klist
Ticket cache: KEYRING:persistent:0:krb_ccache_jlMwFOo
Default principal: tuser2@TESTRELM.TEST

Valid starting       Expires              Service principal
09/18/2016 08:45:01  09/19/2016 08:44:59  krbtgt/TESTRELM.TEST@TESTRELM.TEST

Comment 6 errata-xmlrpc 2016-11-04 05:58:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.